[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.AppRun

Enters a state in which the application waits for system messages.

## Declaration

Source position: interfacebase.pp line 136

`public procedure TWidgetSet.AppRun(`
`const ALoop: TApplicationMainLoop`
`); virtual;`

## Arguments

`ALoop` |  | Main processing loop for the application.

## Description

Called by Application.Run. Don't call this directly. The LCL will use it when needed.